Get a home's details, price and Zestimate
curl --request POST \
--url https://api.stophy.dev/v1/zillow/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: '<string>'})
};
fetch('https://api.stophy.dev/v1/zillow/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/zillow/property"
payload = { "property": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"property": {
"url": "<string>",
"id": "<string>",
"status": "<string>",
"homeType": "<string>",
"price": 1,
"currency": "<string>",
"zestimate": 123,
"rentZestimate": 123,
"lastSoldPrice": 123,
"lastSoldAt": "2023-11-07T05:31:56Z",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"location": {
"lat": 0,
"lng": 0
},
"bedrooms": 123,
"bathrooms": 123,
"sqft": 123,
"lotSize": {
"value": 123,
"unit": "<string>"
},
"yearBuilt": 0,
"description": "<string>",
"images": [
{
"url": "<string>",
"caption": "<string>",
"alt": "<string>"
}
],
"priceHistory": [
{
"date": "2023-12-25",
"price": 123,
"event": "<string>"
}
],
"daysOnZillow": 0,
"views": 0,
"saves": 0,
"monthlyHoa": 123,
"propertyTaxRate": 123,
"mls": {
"id": "<string>",
"name": "<string>"
},
"broker": {
"name": "<string>",
"phone": "<string>"
},
"agent": {
"name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"facts": {}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Zillow
Zillow property API
Call the Zillow property API to get status, home type, price, currency, zestimate and rent zestimate, as JSON or markdown. 3 credits.
POST
/
v1
/
zillow
/
property
Get a home's details, price and Zestimate
curl --request POST \
--url https://api.stophy.dev/v1/zillow/property \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"property": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({property: '<string>'})
};
fetch('https://api.stophy.dev/v1/zillow/property', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/zillow/property"
payload = { "property": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"property": {
"url": "<string>",
"id": "<string>",
"status": "<string>",
"homeType": "<string>",
"price": 1,
"currency": "<string>",
"zestimate": 123,
"rentZestimate": 123,
"lastSoldPrice": 123,
"lastSoldAt": "2023-11-07T05:31:56Z",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"location": {
"lat": 0,
"lng": 0
},
"bedrooms": 123,
"bathrooms": 123,
"sqft": 123,
"lotSize": {
"value": 123,
"unit": "<string>"
},
"yearBuilt": 0,
"description": "<string>",
"images": [
{
"url": "<string>",
"caption": "<string>",
"alt": "<string>"
}
],
"priceHistory": [
{
"date": "2023-12-25",
"price": 123,
"event": "<string>"
}
],
"daysOnZillow": 0,
"views": 0,
"saves": 0,
"monthlyHoa": 123,
"propertyTaxRate": 123,
"mls": {
"id": "<string>",
"name": "<string>"
},
"broker": {
"name": "<string>",
"phone": "<string>"
},
"agent": {
"name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"facts": {}
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
zillow.property - Returns:
datahasproperty. - Cost: 3 credits. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.zillow.property({ property: "https://www.zillow.com/homedetails/123-Main-St-New-York-NY-10001/12345678_zpid/" });
console.log(result.data.property);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.zillow.property(property="https://www.zillow.com/homedetails/123-Main-St-New-York-NY-10001/12345678_zpid/")
print(result["data"]["property"])
curl -X POST https://api.stophy.dev/v1/zillow/property \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"property":"https://www.zillow.com/homedetails/123-Main-St-New-York-NY-10001/12345678_zpid/"}'
stophy zillow property https://www.zillow.com/homedetails/123-Main-St-New-York-NY-10001/12345678_zpid/
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json